import tkinter

#変数定義
key=""
cx=20
cy=400

#キーが押された時の処理
def key_down(e):
    global key
    key=e.keysym

def main_proc():
    global cx,cy,key

    #重力発生処理
    if cy<360:
        cy=cy+70
        
    #トラップに当たるとスタート地点に戻る処理
    if 40<cx<60 or 190<cx<210 or 340<cx<360 or 490<cx<510:
        cx=20

    #右端まで行く処理
    if cx<550:
        cx = cx +5
    else: #ゴールしたときの処理
        ゴール["text"]="ゲームクリア"
        
    #ジャンプ
    if key == "Up":
        cy=cy-70 #上方向に移動
        cx=cx+90 #右方向に移動
        key = ""

    キャンバス.coords("ボーイ",cx,cy)
    ウィンドウ.after(100,main_proc)
    
#ウィンドウ作成  
ウィンドウ=tkinter.Tk()
ウィンドウ.title("アクションゲーム")
ウィンドウ.geometry("600x450")
ウィンドウ.resizable("False","False")
ウィンドウ.bind("<KeyPress>",key_down)

#キャンバス作成
キャンバス=tkinter.Canvas(width=600,height=450,bg="white")
キャンバス.place(x=0,y=0)

#ラベル作成
ゴール= tkinter.Label(ウィンドウ,text= "",bg="#99ffff",
                   font=("BIZ UDPゴシック",60))
ゴール.place(x=80,y=150)

#画像アップロード
ボーイ=tkinter.PhotoImage(file="image\ボーイ.png")
トラップ1=tkinter.PhotoImage(file="image\トラップ1.png")
トラップ2=tkinter.PhotoImage(file="image\トラップ2.png")
トラップ3=tkinter.PhotoImage(file="image\トラップ3.png")
トラップ4=tkinter.PhotoImage(file="image\トラップ4.png")
背景=tkinter.PhotoImage(file="image\背景.png")

#画像の配置
キャンバス.create_image(300,225,image=背景)
キャンバス.create_image(80,420,image=トラップ1)
キャンバス.create_image(230,420,image=トラップ2)
キャンバス.create_image(380,420,image=トラップ3)
キャンバス.create_image(530,420,image=トラップ4)
キャンバス.create_image(cx,cy,image=ボーイ,tag="ボーイ")

#メインプロセスの実行
main_proc()

#メインループ
ウィンドウ.mainloop()

                        
